
%%%% Unit entries names

% CHARACTERS

\newcommand{\overlord}{Overlord}
\newcommand{\prophet}{Prophet}
\newcommand{\vizier}{Vizier}
\newcommand{\taurukhcommissioner}{Taurukh Commissioner}
\newcommand{\taurukhcommissionerSHORT}{Taurukh Commis.}
\newcommand{\taurukhcommissionerQRS}{Taurukh Commis.}
\newcommand{\vassalconjurer}{Vassal Conjurer}
\newcommand{\lamassuscholar}{Lamassu Scholar}
\newcommand{\lamassu}{Lamassu}
\newcommand{\student}{Student}

% MOUNTS

\newcommand{\bullofshamut}{Bull of Shamut}
\newcommand{\greatbullofshamut}{Great Bull of Shamut}
\newcommand{\vassalsteed}{Vassal Steed}
\newcommand{\seatofauthority}{Seat of Authority}
\newcommand{\kadimchariot}{Kadim Chariot}
\newcommand{\kadimbeast}{Kadim Beast}
\newcommand{\chassis}{Chassis}
\newcommand{\infernalbastion}{Infernal Bastion}
\newcommand{\crew}{Crew}
\newcommand{\batteringram}{Battering Ram}

% CORE

\newcommand{\infernalwarriors}{Infernal Warriors}
\newcommand{\infernalwarrior}{Infernal Warrior}

\newcommand{\citadelguard}{Citadel Guard}
\newcommand{\citadelguardSINGULAR}{Citadel Guard}

\newcommand{\vassallevies}{Vassal Levies}
\newcommand{\vassallevy}{Vassal Levy}

\newcommand{\vassalchieftain}{Vassal Chieftain}

\newcommand{\shackledslaves}{Shackled Slaves}
\newcommand{\shackledslave}{Shackled Slave}

% SPECIAL

\newcommand{\immortals}{Immortals}
\newcommand{\immortal}{Immortal}

\newcommand{\taurukhenforcers}{Taurukh Enforcers}
\newcommand{\taurukhenforcer}{Taurukh Enforcer}

\newcommand{\taurukhanointed}{Taurukh Anointed}
\newcommand{\taurukhanointedSINGULAR}{Taurukh Anointed}

\newcommand{\disciplesoflugar}{Disciples of Lugar}
\newcommand{\discipleoflugar}{Disciple of Lugar}

\newcommand{\kadimincarnates}{Kadim Incarnates}
\newcommand{\kadimincarnate}{Kadim Incarnate}

\newcommand{\acolyteoflugar}{Champion of Lugar}

\newcommand{\vassalcavalry}{Vassal Cavalry}
\newcommand{\vassalrider}{Vassal Rider}

\newcommand{\vassalslingshot}{Vassal Slingshot}

\newcommand{\gunneryteam}{Gunnery Team}

\newcommand{\infernalartillery}{Infernal Artillery}


% INSTRUMENTS OF DESTRUCTION

\newcommand{\infernalengine}{Infernal Engine}

\newcommand{\kadimtitan}{Kadim Titan}

\newcommand{\citizengiant}{Citizen Giant}



%%%% Unit entries rules

%% CHARACTERS

% Overlord

\newcommand{\keystothecitadel}{Keys to the Citadel}
\newcommand{\keystothecitadeldef}{%
	During step 7 of the Pre-Game Sequence (Spell Selection), the model may gain one of the following for free:
	\begin{itemize}%
		\item \flintlockaxe{} (2+)
		\item \gw{}
		\item \infernalweapon{}
		\item \pw{}
	\end{itemize}%
	In addition, also during step 7 of the Pre-Game Sequence, the owner may choose a single Weapon Enchantment from the Arcane Compendium or this Army Book for any of the model's weapons for free. This Weapon Enchantment does not count towards the model's Special Item allowance.%
}

\newcommand{\arrogance}{Arrogance}
\newcommand{\arrogancedef}{%
	Apply the following effects while the model is joined to an Infantry unit:
	\begin{itemize}%
		\item The model \textbf{must} reroll failed to-hit rolls with Close Combat Attacks allocated towards the enemy General.%
		\item  Enemy Characters and Champions gain \textbf{Frenzy} if the Overlord's unit is within \distance{12} and within their unit's Line of Sight. %
	\end{itemize}%
}

% Prophet

\newcommand{\prophetofashuruk}{Prophet of Ashuruk}
\newcommand{\prophetoflugar}{Prophet of Lugar}
\newcommand{\prophetofshamut}{Prophet of Shamut}
\newcommand{\prophetofnezibkesh}{Prophet of Nezibkesh}
\newcommand{\eachoptionis}{Each option is}

\newcommand{\prophetofashurukdef}{%
	Regardless of its chosen Path, the model knows \spellformat{\alchemyattribute}{\alchemy} and \spellformat{\pyromancyattribute}{\pyromancy}. \newline%
	When successfully casting a spell from:%
	\begin{itemize}%
		\item Alchemy, the model may cast \spellformat{\pyromancyattribute}{\pyromancy} instead of \spellformat{\alchemyattribute}{} as Attribute Spell.%
		\item Pyromancy, the model may cast \spellformat{\alchemyattribute}{\alchemy} instead of \spellformat{\pyromancyattribute}{} as Attribute Spell.%
		\item Occultism without performing \spellformat{\occultismpassive}{}, the model may cast \spellformat{\alchemyattribute}{} or \spellformat{\pyromancyattribute}{} as Attribute Spell.%
	\end{itemize}%
	 The model gains access to the options below.%
}
\newcommand{\prophetoflugardef}{%
	The model gains \textbf{\aegis{} (4+)} and loses Infernal Armour. The model part gains \newrule{\textbf{\flamingattacks{}} and \textbf{\magicalattacks{}}}. If on foot, the model gains \newrule{\ghoststep{}}, its Advance Rate is \textbf{set} to \distance{4} and its March Rate is \textbf{set} to \distance{12}. The model gains access to the options below.%
}
\newcommand{\prophetofnezibkeshdef}{%
	The model gains \textbf{\firesofindustry{} (1)} and \textbf{\engineer{} (3+)} that it can use on a single friendly \gunneryteam{}, \infernalartillery{}, or \infernalengine{} within \distance{6}. The model gains access to the options below.%
}
\newcommand{\prophetofshamutdef}{The model gains access to the options below.}


% Vassal Conjuror
\newcommand{\unbranded}{\newrule{Unbranded}}
\newcommand{\unbrandeddef}{%
	\newrule{The model cannot take any Special Items from this Army Book and cannot cast \spellformat{Curse of Nezibkesh}{Hereditary Spell}. It cannot join units with more than half of their models with Infernal Brand or units of Shackled Slaves.}%
}

% Lamassu Scholar


\newcommand{\riddleofthelamassu}{Riddle of the Lamassu}
\newcommand{\riddleofthelamassudef}{%
	The model is a Wizard Adept that selects 2 spells from \spellformat{\alchemyspelltwo}{\alchemy}, \spellformat{\occultismspellfour}{\occultism}, \spellformat{\pyromancyspellthree}{\pyromancy}, \spellformat{\witchcraftspelltwo}{\witchcraft}, and \spellformat{\curseofnezibkesh}{\hereditaryspell}. This rule overrides the normal Spell Selection rules connected to being a Wizard Adept.\newline%
	\newrule{Before} Spell Selection (at the \newrule{start} of step 7 of the Pre-Game Sequence), the opponent \textbf{must} choose Power or Wisdom.%
	\begin{itemize}%
		\item If they choose Power, the Lamassu gains \textbf{Channel (1)} for the duration of the game.%
		\item If they choose Wisdom, the model knows an additional spell that it selects immediately from the list of spells above.%
	\end{itemize}%
}
\newcommand{\asingleartefact}{A single Artefact}

%% MOUNTS

% Bull of Shamut

\newcommand{\flymodelsrestriction}{All models with Fly share a common \zerotoXmodelsperarmy{2} restriction.}

% Kadim Chariot

\newcommand{\againstflamingattacks}{against \flamingattacks{}}
\newcommand{\kadimchariotmountrestriction}{The model also counts towards the maximum number of Kadim Chariots allowed from Special.}
\newcommand{\contractdriven}{Contract Driven}

% Seat of Authority

\newcommand{\vassalgovernor}{Vassal Governor}
\newcommand{\vassalgovernordef}{%
	Friendly units with more than half of their models with \oilflasks{} within \distance{12} of one or more models with \vassalgovernor{} at the start of their March Move gain +\distance{2} March Rate. In addition, the model may join Vassal Levies units. This overrides the corresponding restriction from \newrule{\insignificant{}}.\removedrule{When doing so, failed Charge Range rolls of its unit in the Charge Phase must be rerolled.}%
}

% Infernal Bastion

\newcommand{\infernalbastionrestriction}{%
	The mount and its rider count towards Characters. The mount also counts towards the maximum number of Infernal Bastions allowed from \newrule{Special}.%
}
\newcommand{\firingplatform}{Firing Platform}
\newcommand{\firingplatformdef}{%
	\newrule{The model can use Special Attacks only against enemy units Engaged in the model's Front Facing.} All models in the same unit as the model are considered to be in Soft Cover. In addition, they may choose to draw Line of Sight as if they were Gigantic and from any point of the \infernalbastion{}'s Front Facing when shooting or casting spells. If so, as long as the unit has at least one Full Rank:%
	\begin{itemize}%
		\item A maximum of 20 models can shoot. These models can shoot regardless of the rank they are positioned in.%
		\item Measure their range from the \infernalbastion{}.%
	\end{itemize}%
}

\newcommand{\wallbreaker}{Wallbreaker}

%% CORE

% Infernal Warriors

\newcommand{\zigguratregulars}{Ziggurat Regulars}
\newcommand{\zigguratregularsdef}{%
	The model gains \textbf{Fight in Extra Rank} and \gw{}.%
}%

% Citadel Guard

\newcommand{\letthemcome}{Let Them Come!}

% Vassal Levies

\newcommand{\profilebelow}{profile below}

% Vassal Chieftain

\newcommand{\vassalchieftainnote}{The \vassalchieftain{} is an option for \vassallevies{} units.}
\newcommand{\firstamongstinferiors}{First Amongst Inferiors}
\newcommand{\firstamongstinferiorsdef}{%
	The model is a Champion that loses First Amongst Equals and that has the same Model Rules as the other \rnf{} models in its unit. For the purpose of receiving Commanding Presence and Rally Around the Flag from friendly models, as well as for benefiting from Vassal Governor from friendly models, the model counts as \distance{6} closer to those models.%
}

% Shackled Slaves

\newcommand{\enslavedporters}{Enslaved Porters}
\newcommand{\enslavedportersdef}{%
	\newrule{\shackledslaves{} do not cause Panic Tests in other friendly units. At start of the First Game Turn and at the start of each friendly Player Turn, if the \shackledslaves{} unit is not Fleeing, Shaken, or Engaged, choose a single friendly Standard Height unit with more than half of its models with Infernal Brand within \distance{6}:}
	\begin{itemize}
			\item \newrule{If the \shackledslaves{} unit is equipped with Shields, the chosen unit gains Soft Cover.}
				\item \newrule{If the \shackledslaves{} unit is equipped with \pw{}, the chosen unit must reroll natural to hit rolls of \result{1} with its Close Combat Attacks.}
			\end{itemize}
	\newrule{The effects last until the start of the next friendly Player Turn.}%
}%


%% SPECIAL

% Immortals

\newcommand{\whispersofthemask}{Whispers of the Mask}
\newcommand{\whispersofthemaskdef}{%
	At step 2 of the Round of Combat Sequence, all models with \whispersofthemask{} in the same unit may gain \textbf{Aegis (+1, against Melee Attacks)} and lose \battlefocus{} until the end of the Round of Combat.%
}

\newcommand{\pactoffire}{Pact of Fire}
\newcommand{\oppositionresearch}{Opposition Research}

\newcommand{\theocraticlitigators}{\newrule{Theocratic Litigators}}
\newcommand{\theocraticlitigatorsdef}{%
	\newrule{The bearer's unit and enemy units in base contact with the bearer's unit gain \textbf{\magicresistance{} (2)} that is also applied to friendly spells. This Magic Resistance value cannot be increased.}%
}

% Kadim Chariot

\newcommand{\theacolytesoflugarmustchoose}{Champions of Lugar \textbf{must} choose}

% Vassal Cavalry

\newcommand{\onvassalsteed}{on \vassalsteed{}}
\newcommand{\vassalchieftaincavalrynote}{See \hyperlink{ID3vassallevies}{\vassallevies{}} unit.}
\newcommand{\vassalsteedcavalrynote}{See \hyperlink{ID2vassalsteed}{Character Mounts}.}

% Vassal Slingshot

\newcommand{\vassalslingshotdef}{This Artillery Weapon can be fired in two ways}
\newcommand{\oilflaskthrower}{Oil Flask Thrower}
\newcommand{\boltthrower}{Bolt Thrower}
\newcommand{\oilflaskthrowereffect}{The target unit gains one \textbf{\incendiary{}} marker for every successful hit}

% Gunnery Team

\newcommand{\cumbersome}{Cumbersome}

% Infernal Artillery

\newcommand{\shootingattacksmustgain}{The model's Shooting Attacks \textbf{must} gain}
\newcommand{\highercalibre}{\newrule{Higher Calibre}}
\newcommand{\highercalibredef}{%
	 \newrule{The maximum range of the model's Artillery Weapon is doubled. Enemy units hit by the weapon suffer  \distance{\minuss{}1} Advance Rate to a minimum of \distance{3} and \distance{\minuss{}2} March Rate to a minimum of \distance{6} until the start of the next friendly Player Turn.}%
}


%% INSTRUMENTS OF DESTRUCTION

% Infernal Engine

\newcommand{\thechassismustchoose}{\newrule{The Chassis} \textbf{must} choose}
\newcommand{\fullsteamahead}{Full Steam Ahead!}
\newcommand{\fullsteamaheaddef}{%
	The model may only perform a single Pivot or Wheel during a March Move. If the model is Charging, it \textbf{must} Pursue or Overrun if possible. If the model is not Charging, \newrule{it \textbf{always} passes Restrain Pursuit Tests and} its Pursuit Distance is \textbf{always} \distance{0}.%
}
\newcommand{\furnacebreach}{Furnace Breach}
\newcommand{\furnacebreachdef}{%
	Instead of rolling on the Misfire Table as normal, apply the following Misfire Effects:%
	\begin{itemize}
		\item \textbf{2 or less}: The model may not shoot its Artillery Weapon\removedrule{ nor perform March Moves} until the end of the game. In addition, \newrule{the model part equipped with the Artillery Weapon} gains \textbf{\volcanicembrace{} \newrule{(\Dthree)}}.%
		\item \textbf{3+}: The model loses 1 Health Point with no saves of any kind allowed.%
	\end{itemize}%
}
\newcommand{\rockcrusher}{Rock Crusher}
\newcommand{\rockcrusherdef}{%
	The number of the Chassis' Grind Attacks is increased by +2D3.%
}

% Kadim Titan

\newcommand{\searingheat}{Searing Heat}
\newcommand{\searingheatdef}{%
	 \newrule{Melee Attacks that are not Flaming Attacks from enemy units in base contact with the model suffer \minuss{}1 Armour Penetration.}%
}

\newcommand{\walkingearthquake}{\newrule{Walking Earthquake}}
\newcommand{\walkingearthquakedef}{%
	\newrule{The model gains \textbf{\searingheat{}}, \textbf{\swiftstride{}}, \textbf{\volcanicembrace{} (\Dthree{}+2)}, and +3 Attack Value. Its March Rate is \textbf{set} to \distance{14}.}%
}

\newcommand{\walkingvolcano}{\newrule{Walking Volcano}}
\newcommand{\walkingvolcanodef}{%
	\newrule{The model gains \textbf{\firesofindustry{} (2)}, \textbf{\furnacebreach{}} (see \hyperlink{ID5infernalengine}{Infernal Engine}), \textbf{\volcanicembrace{} (2)}, and access to the options below.}%
}

% Citizen Giant

\newcommand{\giantseegiantdo}{Giant See, Giant Do}
\newcommand{\rage}{Rage}
\newcommand{\giantclub}{Giant Club}
\newcommand{\towershield}{Tower Shield}
\newcommand{\infernallash}{Infernal Lash}
\newcommand{\bigbrother}{Big Brother}

\newcommand{\giantseegiantdodef}{%
	The model gains \infernalarmour{} and \textbf{\infernalbrand{}}.%
}
\newcommand{\ragedef}{%
	Whenever the model loses a Health Point, it gains +1 Attack Value. Whenever it gains a Health Point, it suffers \minuss{}1 Attack Value.%
}
\newcommand{\bigbrotherdef}{%
	The model's Health Points are \textbf{set} to 8, and its base size is changed to 75\timess{}100 \si{\milli\meter}. The roll for the number of hits from its Stomp Attacks is subject to Maximised Roll.%
}
\newcommand{\giantclubdef}{%
	Attacks made with this weapon gain +1 Strength and +1 Armour Penetration.%
}
\newcommand{\towershielddef}{%
	The model gains Soft Cover against attacks from models Located in its Front Arc, and \textbf{\parry{}}.%
}
\newcommand{\infernallashdef}{%
	The model gains +2 Agility. At the start of each Melee Phase, you may choose a single friendly unit within \distance{6} of the wielder (including the wielder itself). The chosen unit's Close Combat Attacks become \textbf{Flaming Attacks} and \textbf{Magical Attacks} until the end of the Melee Phase.%
}
